Product Availability
| Products | D&B Direct 2.0, D&B Direct Onboard |
| Product Code(s) | Not Applicable |
| Option(s) | None |
| Monitoring Available | No |
| Interface | REST |
| Method | GET |
| Format(s) | JSON |
| Service | ProductCatalog |
| {version} | 2.2 |
| 2.2 Released On | December 11, 2015 |
This feature returns a list of available products for an organization based on the entitlement of the customer's current contract. There is no usage fee for this D&B Direct feature, and all customers are entitled to utilize it.
Update History
No modifications have been made to this data layer since the initial release.
Feature Request
IMPORTANT: Please see the new Online Services Security Enhancement Release, effective November 09, 2020.
Overview
When implementing this D&B Direct feature, a valid D-U-N-S Number for a company and its country code will be required. A trade up option exists to request data for the headquarters when the requested organization is a branch.
When ordering information for organizations located in Germany, you will also be required to provide an order reason code.
An option exists to filter the results for a specific D&B Direct product code.
Data Layer Entitlement
For customers in U.S. and Canadian markets, the API is provisioned for specific collections of products, reports, and/or features (collectively referred to as data layers) for production and trial usage. Entitlement is not required for testing in the sandbox environment.
- This particular feature does not require entitlement for production and trial usage for D&B Direct 2.0 customers.
For customers in the UK, Ireland, Belgium, Netherlands and Luxembourg markets, the API is provisioned as a specific set of data layers for production, trial, and sandbox usage.
- This particular data layer is included in the D&B Direct Onboard 2.0 suite.
Specification
GET https://direct.dnb.com/V2.2/organizations/804735132/products?CountryISOAlpha2Code=US Authorization: <My Token>
| Name | Characteristics |
|---|---|
| {version} | Element |
| ApplicationTransactionID | string up to 64 chars., Optional A number assigned by the calling application to uniquely identify this request. |
| TransactionTimestamp | dateTime, Optional The date and time when this request was created. When the request is from an intermediary, such as a workflow manager or service bus, this is the date and time when the message was sent to the D&B function, i.e., the date and time when the xml document was created by the requesting intermediary. |
| SubmittingOfficeID | string up to 64 chars., Optional A number that identifies the system or the software application from where this request originated. / A number used to uniquely identfy the D&B business segment or delivery channel from where this request originated. |
| {DUNS} | string up to 15 chars. Pattern: {([0-9a-zA-Z]*)}., Required The subject identifier under the Data Universal Numbering System of the inquired subject. |
| CountryISOAlpha2Code | string at least 2 chars. up to 2 chars., Required The two-letter country code, defined in the ISO 3166-1 scheme published by International Organization for Standardization (ISO)identifying the country of the inquired subject. |
| DNBProductID | string up to 64 chars., Optional An alphanumeric string that uniquely identifies the deliverable being requested. |
| PreferredLanguageCode | integer up to 7 digits., Optional A code that defines the language in which the requested product or deliverable is required to be fulfilled. |
| TradeUpIndicator | boolean, Optional When true (set to 1) this denotes that the customer has requested that D&B return the data for the Headquarters when the requested organization is a Branch. When false (set to 0) this denotes that the customer has not requested that D&B return the data for the Headquarters when the requested organization is a Branch; however as this is the assumed condition there is no requirement to create this tag to represent this fact. Note: There are D&B WorldWide Network operations where the Headquarters information will be returned automatically, regardless of the customer request. |
| OrderReasonCode | integer up to 7 digits., Optional A D&B code value that defines the grounds for the customer requesting the product, e.g., required to support a credit decision. |
| CustomerReferenceText | string at least 1 chars. up to 240 chars., Optional A freeform reference string provided by the customer to be linked to the product in order to support subsequent order reconciliation. |
| CustomerReferenceText-n | string up to 240 chars., Optional (Up to 5x) A freeform reference string provided by the customer to be linked to the product in order to support subsequent order reconciliation. |
Endpoint
Use the following endpoint for requesting this feature. The {version} is dependent on the underlying service delivering the response.
NOTE: While "organizations" is part of this endpoint, there is no service by this name. Many D&B Direct calls have a similar structure; however, the {version} component is based on the SERVICE to which a given product is associated.
| Endpoint (ProductCatalog) |
|---|
| GET https://direct.dnb.com/V{version}/organizations/{DUNS}/products |
[SANDBOX]
Feature Response
NOTE: The D&B Direct REST implementation uses the BadgerFish approach for JSON with some minor variations.
Specification
The following is a list of the possible data fields returned by this operation in the JSON response. Samples are provided for testing successful and failed retrieval, and to demonstrate the basic layout of a response. The data returned in samples may not represent actual values that this feature will deliver.
NOTE: The D-U-N-S Number returned in the response will be a nine-digit zero-padded, numeric value.
{"ListAvailableProductResponse": {
"@ServiceVersionNumber": "2.1",
"TransactionDetail": {
"ApplicationTransactionID": "Id-631506eb5272bce936db4809-2",
"ServiceTransactionID": "Id-631506eb5272bce936db4809-2",
"TransactionTimestamp": "2013-10-31T16:26:20.522-04:00"
},
"TransactionResult": {
"SeverityText": "Information",
"ResultID": "CM000",
"ResultText": "Success"
},
"ListAvailableProductResponseDetail": {
"InquiryDetail": {
"DUNSNumber": "804735132",
"CountryISOAlpha2Code": "US"
},
"DUNSNumber": "804735132",
"CountryISOAlpha2Code": "US",
"StopDistributionIndicator": false,
"OutOfBusinessIndicator": false,
"AvailableProductDetail": [
{
"DNBProductID": "COMPR",
"DNBProductName": "Comprehensive Report",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
}
},
{
"DNBProductID": "BIR",
"DNBProductName": "Business Information Report",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"ProductAvailableOnBranchIndicator": true,
"InvestigationAvailabilityIndicator": true,
"InvestigationPriorityAvailability": [{"InvestigationPriorityText": {
"@DNBCodeValue": 6344,
"@DNBCodeTableNumber": 154,
"$": "Routine"
}}]
},
{
"DNBProductID": "BIR_SMMR",
"DNBProductName": "BIR - ID and Summary",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
}
},
{
"DNBProductID": "BIR_PYMNT",
"DNBProductName": "BIR - Payments",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"ProductAvailableOnBranchIndicator": true
},
{
"DNBProductID": "BIR_PF",
"DNBProductName": "BIR - Public Filings",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"ProductAvailableOnBranchIndicator": true
},
{
"DNBProductID": "BBR",
"DNBProductName": "Business Background Report",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"ProductAvailableOnBranchIndicator": true
},
{
"DNBProductID": "PAR",
"DNBProductName": "Payment Analysis Report",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"ProductAvailableOnBranchIndicator": true
},
{
"DNBProductID": "BIR_BANK",
"DNBProductName": "BIR - Banking - US",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"ProductAvailableOnBranchIndicator": true
},
{
"DNBProductID": "BIR_FIN",
"DNBProductName": "BIR - Finance - US",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
}
},
{
"DNBProductID": "BIR_HST_OP",
"DNBProductName": "BIR - History & Operations - US",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"ProductAvailableOnBranchIndicator": true
},
{
"DNBProductID": "PAR_HBI",
"DNBProductName": "PAR - Payment Habits by Industry - US",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
}
},
{
"DNBProductID": "BIR_SP_EVNT",
"DNBProductName": "BIR - Special Events/Changes/Updates - US",
"LanguageAvailability": [{"LanguageCode": 331}],
"ProductFormatAvailability": [
{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}},
{"ProductFormatText": {
"@DNBCodeValue": 15106,
"@DNBCodeTableNumber": 126,
"$": "Text Format"
}}
],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"ProductAvailableOnBranchIndicator": true
},
{
"DNBProductID": "SBCRP",
"DNBProductName": "Small Business Company & Owner Risk Profile",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PBPR_STD",
"DNBProductName": "Predictive Bankruptcy & Payment Risk",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PBR_FSS_V7.1",
"DNBProductName": "Predictive Bankruptcy Risk - D&B Financial Stress Score (FSS) 2010",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PBR_FSS_V6.0",
"DNBProductName": "Predictive Bankruptcy Risk - D&B Financial Stress Score (FSS) 2007",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PBR_FSS_V5.0",
"DNBProductName": "Predictive Bankruptcy Risk - D&B Financial Stress Score (FSS) 2006",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PPR_CCS_V9",
"DNBProductName": "Predictive Payment Risk - D&B Commercial Credit Score (CCS) v9",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PPR_CCS_V8",
"DNBProductName": "Predictive Payment Risk - D&B Commercial Credit Score (CCS) v8",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PPR_CCS_V7",
"DNBProductName": "Predictive Payment Risk - D&B Commercial Credit Score (CCS) v7",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "RTNG_TRND",
"DNBProductName": "D&B Rating & Trend",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "CNTCT",
"DNBProductName": "People",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "FIN_ST_PLUS",
"DNBProductName": "Financial Statements",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "FIN_HGLT",
"DNBProductName": "Financial Highlights",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": false,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": false,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DCP_ALT_STD",
"DNBProductName": "Alternative Detailed Company Profile - Standard",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DCP_ALT_PREM",
"DNBProductName": "Alternative Detailed Company Profile - Premium",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DCP_STD",
"DNBProductName": "Detailed Company Profile",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PAC_PLUS",
"DNBProductName": "USA Patriot Act Plus",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DVR_STD",
"DNBProductName": "Diversity Indicators",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "NEWS_MDA",
"DNBProductName": "News & Social Activity",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PIAP_STD",
"DNBProductName": "Payment Information & Paydex (Rating) - Detail Standard",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PIAP_PREM",
"DNBProductName": "Payment Information & Paydex (Rating) - Detail Premium",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PI_DTL",
"DNBProductName": "Payment Information - Detail",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PBPR_ENH",
"DNBProductName": "Predictive Bankruptcy & Payment Risk",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "CNTCT_PLUS",
"DNBProductName": "People",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DCP_ALT_ENH",
"DNBProductName": "Alternative Detailed Company Profile - Enhanced",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DCP_PREM",
"DNBProductName": "Detailed Company Profile",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DCP_ENH",
"DNBProductName": "Detailed Company Profile",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DVR_ENH",
"DNBProductName": "Diversity Indicators",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PIAP_ENH",
"DNBProductName": "Payment Information & Paydex (Rating) - Detail Enhanced",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "VIAB_RAT",
"DNBProductName": "D&B Viability Rating",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "SER",
"DNBProductName": "D&B Supplier Evaluation Risk Rating",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "CRR",
"DNBProductName": "Country Risk Report",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
}
},
{
"DNBProductID": "CRLR",
"DNBProductName": "Country Risk Insight Report",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
}
},
{
"DNBProductID": "MKT_ANL_RP",
"DNBProductName": "Market Analysis Report",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
}
},
{
"DNBProductID": "LNK_FF",
"DNBProductName": "Linkage Plus",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"SufficientDataAvailableIndicator": true,
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "SBRI_STD",
"DNBProductName": "Small Business Risk Insight Detail Standard",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "SBRI_ENH",
"DNBProductName": "Small Business Risk Insight Detail Enhanced",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
}
},
{
"DNBProductID": "ELEL_FCMPT",
"DNBProductName": "Find Competitors by ID",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
}
},
{
"DNBProductID": "IND_STD",
"DNBProductName": "Industry Profile – Standard Search",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "IND_ADV",
"DNBProductName": "Industry Profile – Advanced Search",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 5183,
"@DNBCodeTableNumber": 126,
"$": "Hypertext Mark-Up Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "TLP",
"DNBProductName": "D&B Total Loss Predictor",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DE_PRF_GCR",
"DNBProductName": "Data Exchange - Profound Global Company Records",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DE_PRF_IS",
"DNBProductName": "Data Exchange - Profound Initial Search",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DE_FT_PER",
"DNBProductName": "Data Exchange - Flitop Person",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DE_FT_CP",
"DNBProductName": "Data Exchange - Fliptop Company",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DE_HDS_PHRM_PRO",
"DNBProductName": " Data Exchange - HDS Standard(Pharmacy Pro)",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DE_HDS_PRVD_PRO",
"DNBProductName": " Data Exchange - HDS Standard(Provider Pro)",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "DE_HDS_HOSP_PRO",
"DNBProductName": " Data Exchange - HDS Standard (Hospital Pro)",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PUBREC_BR",
"DNBProductName": "Business Registrations",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PUBREC_OS",
"DNBProductName": "Corporate Entity Type & Ownership",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PUBREC_JDG",
"DNBProductName": "Judgments",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PUBREC_LIENS",
"DNBProductName": "Liens",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PUBREC_SUITS",
"DNBProductName": "Suits",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PUBREC_UCC",
"DNBProductName": "UCC Filings",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PUBREC_DTLS",
"DNBProductName": "Suits, Liens, Judgments & Bankruptcies - Detail",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "PUBREC_FL",
"DNBProductName": "Public Record Filing List",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "LNK_UPF",
"DNBProductName": "Linkage Basic",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
},
{
"DNBProductID": "LNK_FF",
"DNBProductName": "Linkage Plus",
"LanguageAvailability": [{"LanguageCode": 39}],
"ProductFormatAvailability": [{"ProductFormatText": {
"@DNBCodeValue": 7004,
"@DNBCodeTableNumber": 126,
"$": "Extensible Markup Language"
}}],
"DeliverableProductIndicator": true,
"IndateStatusText": {
"@DNBCodeValue": 11208,
"@DNBCodeTableNumber": 241,
"$": "Indate"
},
"InvestigationAvailabilityIndicator": false
}
]
}
}}
Response Codes & Error Handling
Successful service requests will return a CM000 response code in the TransactionResult ResultID field. Otherwise, one of the D&B Direct standard response codes will be returned.
This operation may return the following response codes: CM002, CM003, CM004, CM008, CM010, CM011, CM012, CM014, CM017, PD005, SC001-SC008.
D&B Direct 2.0 API requests are provided on a metered basis; and may require entitlement prior to use in the production environment. In addition, a concurrency limit (QPS) is monitored to ensure that it is not exceeded. An error code will be returned in the event that a transaction is throttled.
While this operation is provided on a metered basis, usage is tracked; however, no billing for successful calls is recorded.
Business Elements
While D&B Direct uses a product canonical naming model in the request/response, many customers may be more familiar with the following business element labels.
| Name | Description |
|---|---|
| D-U-N-S Number | D-U-N-S Number of the organization. |
| Fields Exist Indicator | A data sufficiency check that indicates whether required fields are available. Possible values: Yes or No. |
| Indate Code | A code that indicates product availability. Values are 1 for "In Date", 2 for "Promise Later", and 3 for "Too Old". |
| Investigation Availability Indicator | Indicates if an investigation is allowed on this product or not. |
| Investigation Priority | The type of investigation priority that is supported for this product. |
| Language Code | Language code in which the product is available. |
| Non-Branch Indicator | Indicates if the product is available on branch or not. |
| Out of Business Indicator | Indicates if this company is out of business. |
| Product Availabilty Indicator | Whether the product is available or not |
| Product Code | A code value that identifies a D&B Product |
| Product Name | A textual description of the product code |
| Report Format | Format in which the report is available e.g. HTML, PDF, text, etc. |
| Stop Distribution Indicator | When set to "On" indicates this company record is on stop distribution status in the D&B database. |
The preceding list is not presented in the order, nor manner, in which the information is packaged and delivered via the D&B Direct API. Legend: [C] = may be included in a Custom Data product; [M] = may be referenced by the Monitoring process; [M+] = Monitored using an aggregate or attribute XPath.
Feature Notes
This feature will return a list of all entitled products for the organization. An indicator will designate whether a given data or report product is currently available.
Exception: this feature does NOT return availability information for the Data Exchange Service related products.

